GNU Radio's CDMA Package

Public Member Functions | List of all members
gr::cdma::switched_peak_detector_fb_impl Class Reference

`#include <switched_peak_detector_fb_impl.h>`

Inheritance diagram for gr::cdma::switched_peak_detector_fb_impl:
[legend]

## Public Member Functions
| switched_peak_detector_fb_impl (float threshold_factor_rise, float threshold_factor_fall, int look_ahead, float alpha, int on)
| ~switched_peak_detector_fb_impl ()
void | set_threshold_factor_rise (float thr)
void | set_threshold_factor_fall (float thr)
void | set_look_ahead (int look)
void | set_alpha (float alpha)
void | set_on (int on)
float | threshold_factor_rise ()
float | threshold_factor_fall ()
int | look_ahead ()
float | alpha ()
int | on ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
virtual void | set_threshold_factor_rise (float thr)=0
virtual void | set_threshold_factor_fall (float thr)=0
virtual void | set_look_ahead (int look)=0
virtual void | set_alpha (float alpha)=0
virtual void | set_on (int on)=0
virtual float | threshold_factor_rise ()=0
virtual float | threshold_factor_fall ()=0
virtual int | look_ahead ()=0
virtual float | alpha ()=0
virtual int | on ()=0

## Additional Inherited Members
Public Types inherited from gr::cdma::switched_peak_detector_fb
typedef boost::shared_ptr< switched_peak_detector_fb > | sptr
Static Public Member Functions inherited from gr::cdma::switched_peak_detector_fb
static sptr | make (float threshold_factor_rise=0.25, float threshold_factor_fall=0.40, int look_ahead=10, float alpha=0.001, int on=1)
| Return a shared_ptr to a new instance of cdma::switched_peak_detector_fb. More...

## Constructor & Destructor Documentation

## ◆ switched_peak_detector_fb_impl()

gr::cdma::switched_peak_detector_fb_impl::switched_peak_detector_fb_impl | ( | float | threshold_factor_rise,
|  | float | threshold_factor_fall,
|  | int | look_ahead,
|  | float | alpha,
|  | int | on
| ) |  |

## ◆ ~switched_peak_detector_fb_impl()

gr::cdma::switched_peak_detector_fb_impl::~switched_peak_detector_fb_impl | ( |  | ) |

## Member Function Documentation

## ◆ alpha()

float gr::cdma::switched_peak_detector_fb_impl::alpha | ( |  | ) |
| inline virtual

Implements gr::cdma::switched_peak_detector_fb.

Referenced by set_alpha().

## ◆ look_ahead()

int gr::cdma::switched_peak_detector_fb_impl::look_ahead | ( |  | ) |
| inline virtual

Implements gr::cdma::switched_peak_detector_fb.

## ◆ on()

int gr::cdma::switched_peak_detector_fb_impl::on | ( |  | ) |
| inline virtual

Implements gr::cdma::switched_peak_detector_fb.

Referenced by set_on().

## ◆ set_alpha()

void gr::cdma::switched_peak_detector_fb_impl::set_alpha | ( | float | alpha | ) |
| inline virtual

Implements gr::cdma::switched_peak_detector_fb.

References alpha().

## ◆ set_look_ahead()

void gr::cdma::switched_peak_detector_fb_impl::set_look_ahead | ( | int | look | ) |
| inline virtual

Implements gr::cdma::switched_peak_detector_fb.

## ◆ set_on()

void gr::cdma::switched_peak_detector_fb_impl::set_on | ( | int | on | ) |
| inline virtual

Implements gr::cdma::switched_peak_detector_fb.

References on().

## ◆ set_threshold_factor_fall()

void gr::cdma::switched_peak_detector_fb_impl::set_threshold_factor_fall | ( | float | thr | ) |
| inline virtual

Implements gr::cdma::switched_peak_detector_fb.

## ◆ set_threshold_factor_rise()

void gr::cdma::switched_peak_detector_fb_impl::set_threshold_factor_rise | ( | float | thr | ) |
| inline virtual

Implements gr::cdma::switched_peak_detector_fb.

## ◆ threshold_factor_fall()

float gr::cdma::switched_peak_detector_fb_impl::threshold_factor_fall | ( |  | ) |
| inline virtual

Implements gr::cdma::switched_peak_detector_fb.

## ◆ threshold_factor_rise()

float gr::cdma::switched_peak_detector_fb_impl::threshold_factor_rise | ( |  | ) |
| inline virtual

Implements gr::cdma::switched_peak_detector_fb.

## ◆ work()

int gr::cdma::switched_peak_detector_fb_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- switched_peak_detector_fb_impl.h